commit 697d5530238525a7d560e0bc2ea01efe4fe17581
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-16

    Update AUTHORS

commit a70386bd7e6823e416cf689e7f835ecc77b2aa5a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-16

    Bump package and library versions

commit 3b0db716f89f3a58422c11350ac23ae8c6db40df
Merge: 6308e669 ed2f08ce
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-16

    Merge pull request #1621 from ngtcp2/bump-aws-lc
    
    Bump aws-lc to v1.49.1

commit ed2f08cee1327fe34af00458b7ca8377f162eeb4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-16

    Bump aws-lc to v1.49.1

commit 6308e669ccd4e3dfba0399f4def8e3f10c693707
Merge: f1000558 044fc161
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-16
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-16

    Merge pull request #1620 from ngtcp2/bump-boringssl
    
    Bump boringssl

commit 044fc1617d2d9ad5cf2aa31ea36298112c06c1f1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-16

    Bump boringssl

commit f100055814ac153755ec30c96564c5bf0194882c
Merge: 4cef6522 4200e50f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-14
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-14

    Merge pull request #1619 from pavelxdd/ossl
    
    Add missing ngtcp2_crypto_ossl.h in build system

commit 4200e50fc773fa37593e0bde2f800d8b28959dd7
Author:     Pavel Otchertsov <pavel.otchertsov@gmail.com>
AuthorDate: 2025-04-14
Commit:     Pavel Otchertsov <pavel.otchertsov@gmail.com>
CommitDate: 2025-04-14

    Add missing ngtcp2_crypto_ossl.h in build system

commit 4cef652259d3b45677cd22665cef5ae3b14ff67d
Merge: b0e74672 a873b25a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-13

    Merge pull request #1616 from ngtcp2/interop-arm-runner-build
    
    Build arm interop image on arm runner

commit a873b25aab6abfd8fe80588b51f78df0d473888f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    Build arm interop image on arm runner

commit b0e746727ac9eb1a46dc26d18468a6b4c6f36060
Merge: 03aa7a8b a252d507
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-13

    Merge pull request #1615 from ngtcp2/gha-macos-15
    
    GHA: Replace macos-13 with macos-15

commit a252d5076225e39fea215a33622f0e80f7c51d2c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    GHA: Replace macos-13 with macos-15

commit 03aa7a8bea884ea5a59f95502e5723dab02646a5
Merge: 18ced03e 4dca19de
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-13

    Merge pull request #1614 from ngtcp2/bbr-rename-hi-lo
    
    bbr: Rename *_hi and *_lo to *_longterm and *_shortterm

commit 4dca19de2f88ce18406c5649930dde1c038eea31
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    bbr: Rename *_hi and *_lo to *_longterm and *_shortterm

commit 18ced03ee1a667360236348f901c1547499bad84
Merge: 937aee71 9522857a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-13

    Merge pull request #1613 from ngtcp2/bbr-fix
    
    Bbr fix

commit 9522857abc870a3d9058cc80e09a9ef6be9c25cf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    bbr: Fix IsInflightTooHigh

commit a9be0568e4b0105aecf4fc6999346123aa9b1c7b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    bbr: Remove comment

commit 98993595ffc22d6e35111f4f59a9398dec4807d3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    bbr: Fix BBRCheckFullBWReached

commit 937aee711934a6c16361b29a5aaa757205032998
Merge: 9ca421f1 1c8fd6b5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-13

    Merge pull request #1612 from ngtcp2/clang-format-crypto-ossl
    
    clang-format crypto/ossl

commit 1c8fd6b5db643695d68fc61af4276494948a3c58
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    clang-format crypto/ossl

commit 9ca421f12315f42fb8f77e6b58f00251eff23622
Merge: e32d4459 d71ab76f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-13

    Merge pull request #1611 from ngtcp2/remove-ppe-pktlen
    
    Remove unused ngtcp2_ppe_pktlen

commit d71ab76f53a33f37f51ef8257681733f5a0c6354
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-13

    Remove unused ngtcp2_ppe_pktlen

commit e32d44597cef2d35b8bde0430a5d74c98282ee7b
Merge: 344b51d6 2374f29d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-12

    Merge pull request #1608 from frankosterfeld/work/cmake-ENABLE_LIB_ONLY
    
    CMake: Add ENABLE_LIB_ONLY option

commit 344b51d670adc3a352ee8ea51f89f6afa72c28a1
Merge: 4423ced9 3996c727
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-12

    Merge pull request #1610 from ngtcp2/padding-ack-eliciting-pkt
    
    Padding ack eliciting pkt

commit 3996c727565c90ddd5debe631bfe8e0433ce1f33
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-12

    server: Always use NGTCP2_WRITE_STREAM_FLAG_PADDING to help GSO

commit fd2e31faec7dd53eb0422a516c1e7f9639f93524
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-12

    Pad ack eliciting packet only with NGTCP2_WRITE_STREAM_FLAG_PADDING
    
    When we always use NGTCP2_WRITE_STREAM_FLAG_PADDING, it is often
    easier to pad only ack eliciting packet in order to fully utilize GSO.
    No need to pad terminal packets that only includes ACK and small
    frames.

commit 4423ced9f7346078075afe2c8a904a03c575b265
Merge: c7531446 5d8aabae
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-12

    Merge pull request #1609 from ngtcp2/fix-ppe
    
    Fix ppe

commit 5d8aabaebd2286b1945f0ba0e1d05f3085e97e13
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-12

    ngtcp2_ppe_pending_size: Return early

commit bb8319198d1210d48d9ca2db1c1ea0e3f11bc3c1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-12

    ngtcp2_ppe: Do not call ngtcp2_buf_left repeatedly

commit 9b1ac4408c4f06b94c91c8cdfea27789e3f31b7a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-12

    ngtcp2_ppe: Fix off-by-one error

commit 2374f29d0d6401c28e314c5e264d61e9e979d628
Author:     Frank Osterfeld <frank.osterfeld@kdab.com>
AuthorDate: 2025-04-11
Commit:     Frank Osterfeld <frank.osterfeld@kdab.com>
CommitDate: 2025-04-11

    CMake: Add ENABLE_LIB_ONLY option
    
    Disables examples and thus avoids external dependencies.

commit c7531446c76cc050fdf63ea168d8b95473086126
Merge: 9a9439c7 c3ab49f7
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-11

    Merge pull request #1607 from ngtcp2/test-skip-pkt
    
    Add tests for skipped packets

commit c3ab49f72a6f3c8c90849f3f5c9806d39125a587
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-11

    Add tests for skipped packets

commit 9a9439c7d4d488e2c0176f8f96826d0465dfed31
Merge: 3af80468 720d467f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-10

    Merge pull request #1603 from ngtcp2/fix-assertion-failure
    
    Fix assertion failure

commit 720d467fe93555d72c5a9ba75871db871c9430f0
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-10

    Fix assertion failure

commit 3af8046877e76734804360640928ceb20e73b79e
Merge: c55a6386 6830e432
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-10

    Merge pull request #1582 from ngtcp2/crypto-ossl
    
    Add libngtcp2_crypto_ossl, osslclient and osslserver

commit c55a6386d778fad7d805ec981d239b6052fcdb94
Merge: 3416b0ab 9001a42e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-10

    Merge pull request #1602 from ngtcp2/secure-rand
    
    Recommend secure random generator for ngtcp2_rand callback

commit 9001a42e04cdc11ef205d4f6930c7d371f39b348
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-10

    Recommend secure random generator for ngtcp2_rand callback

commit 3416b0ab5a454297f1047a64cdb78480d8490b1b
Merge: 9a3fccad f4f93ab9
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-10

    Merge pull request #1601 from ngtcp2/lost-pkt-timeout
    
    Extend lost packet timeout

commit f4f93ab90128e49850472b025c4193fe0532474b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-10

    Extend lost packet timeout

commit 9a3fccad37b2f93ac8cf129121df8d30eb9fba04
Merge: 205f8baa 60f5b0d3
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-10
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-10

    Merge pull request #1600 from ngtcp2/skip-pkt-num
    
    Skip packet number

commit 60f5b0d3e7b08702f7c18c55753c6394a66a8402
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-10

    Skip packet number

commit 6830e432213ad5787ce8b0f2b8e3d23fd21e3837
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-09

    Add libngtcp2_crypto_ossl, osslclient and osslserver
    
    libngtcp2_crypto_ossl is an ngtcp2 crypto helper library for OpenSSL
    >= 3.5.
    
    If libngtcp2_crypto_ossl is used, an application must make sure that:
    
    - Keep ngtcp2_conn alive until SSL object is freed by SSL_free; or
    - Call SSL_set_app_data(ssl, NULL) before calling SSL_free
    
    libngtcp2_crypto_quictls and libngtcp2_crypto_ossl cannot be built at
    the same time.

commit 205f8baa9f3bd9ada0cde1131dbea63d8669da59
Merge: 4081730f a212299a
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-06
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-06

    Merge pull request #1596 from ngtcp2/path-history-mtu
    
    Restore MTU from path_history

commit a212299ab0a72d01400dd17db14ddea32793ca8a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-06

    Restore MTU from path_history

commit 4081730f184b3423100005c02db0cc8b8f62d291
Merge: 90f128ea 72a9b8ab
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-05

    Merge pull request #1594 from ngtcp2/tstamp
    
    Tstamp

commit 72a9b8ab24fd9c9ba3193636d6bad5a0e942b79d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-05

    Use NGTCP2_MINUTES

commit 6282ad9057d08da071ba4af5aa5173d5f447d4ab
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-05

    Define NGTCP2_MINUTES

commit 1f57823fd79a7a768c1f462f8da61ca010594b13
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-05

    Define timestamp macros using a smaller unit macro

commit 90f128ea7d8b9618b824f69a1de4f3e30c2a340f
Merge: e5693af0 fa4a6716
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-05

    Merge pull request #1593 from ngtcp2/guard-pmtud
    
    Avoid PMTUD if it is disabled by configuration

commit fa4a6716227fc4e41c78874e7a6b9f3138934c55
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-05

    Avoid PMTUD if it is disabled by configuration

commit e5693af0319b676e99134b56f355c4248da24c44
Merge: 5d63c4b9 07e0ffe5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-05
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-05

    Merge pull request #1592 from ngtcp2/path-history
    
    Remember validated path

commit 07e0ffe504f6362cd375899c8b16d4d8a51e70c4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-05

    Remember validated path
    
    Remember validated path and skip path validation if new path has been
    validated recently.

commit 5d63c4b94c43dc02f719b2158ffed7f51eb3447b
Merge: 1568051d a5702cfd
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-04-03
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-04-03

    Merge pull request #1591 from ngtcp2/limit-conn-close
    
    examples/server: Rate limit connection_close

commit a5702cfd54555817a767487e2f358ce223f5e480
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-04-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-04-03

    examples/server: Rate limit connection_close

commit 1568051d79adcb7f7cfc12fad563e2d6c4ea3ff4
Merge: 3933db2a e7536022
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-30
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-30

    Merge pull request #1589 from ngtcp2/constant-time-pktnum-decryption
    
    Decrypt packet number in constant time

commit e75360227676e5090e2078be64e74793bdcb6f95
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-30

    Decrypt packet number in constant time

commit 3933db2a64e7e4f77b618c8d8fca9ad3b4e8c241
Merge: b56bffc0 cb05abf4
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-23

    Merge pull request #1588 from ngtcp2/with-boringssl-macro
    
    Use WITH_EXAMPLE_BORINGSSL

commit cb05abf45c2d97120e4ea10ebd61df743c473567
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-23

    Use WITH_EXAMPLE_BORINGSSL
    
    Use WITH_EXAMPLE_BORINGSSL instead of OPENSSL_IS_BORINGSSL and
    OPENSSL_IS_AWSLC.

commit b56bffc0c0d82e668ce9826bb2794510b9036ad4
Merge: 4d1b4eec 8f57ca9f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-23

    Merge pull request #1587 from ngtcp2/remove-enable-example-macros
    
    examples: Remove ENABLE_EXAMPLE_* macros

commit 8f57ca9fe1de6ec7ee5a93ae98f2b7fc8c408f75
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-23

    examples: Remove ENABLE_EXAMPLE_* macros
    
    Just use WITH_EXAMPLE_* macros instead.

commit 4d1b4eec28f130c6470486ac13dba1d2f82b09c5
Merge: bf56defb d87cd4fc
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-23
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-23

    Merge pull request #1586 from ngtcp2/examples-group-name
    
    Examples group name

commit d87cd4fc2730e1b2cdd764818ebbfdca7a1b5c02
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-23

    examples: Check the return value from OBJ_nid2sn

commit a85598e4a11c71441663951f3550cd1c9112c82a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-23

    examples: Use SSL_group_to_name for OpenSSL >= 3.0.0

commit bf56defbb53b90a710daea25802871a043f2c3a2
Merge: 0b219872 42b60356
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-20
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-20

    Merge pull request #1584 from ngtcp2/add-missing-endif-defined
    
    Add missing !defined() macro comment

commit 42b60356713b4718a94f29802cbb84257fce61cf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-20

    Add missing !defined() macro comment

commit 0b2198722bc19f956e34d4f9285f2e03ef03ad8d
Merge: add7f6cc 9c489c91
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-09
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-09

    Merge pull request #1580 from ngtcp2/tpe-handshake-server
    
    tests: Add ngtcp2_tpe_init_conn_handshake_server

commit 9c489c9139fa9c51ef81d0f101c99ec9465fd1a7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-08

    tests: Add ngtcp2_tpe_init_conn_handshake_server
    
    Add ngtcp2_tpe_init_conn_handshake_server to simplify setting up
    ngtcp2_tpe for handshaking server.

commit add7f6cc5805f114b786e5eaa7a82f3c83544ad2
Merge: dd405ed6 090954fe
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-07
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-07

    Merge pull request #1579 from ngtcp2/verify-stateless-reset
    
    Do not verify stateless reset against retired ones

commit 090954feb399287429fbd613da31f748612bef12
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-07

    Do not verify stateless reset against retired ones

commit dd405ed640f8207f479f1a5bdac37ed952bbe329
Merge: 7b2e7455 eb719cd6
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-06
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-06

    Merge pull request #1578 from ngtcp2/pkt-padding
    
    Add flags to pad a packet when it is finalized

commit eb719cd66d181d46bf8c3692929a55cefb3600a1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-06

    Add flags to pad a packet when it is finalized
    
    NGTCP2_WRITE_STREAM_FLAG_PADDING instructs ngtcp2_conn_writev_stream
    to pad a packet toward the minimum size of path MTU or a given packet
    buffer.  It only applies to non-empty 0 RTT or 1 RTT packet.
    
    Similary, NGTCP2_WRITE_DATAGRAM_FLAG_PADDING instructs
    ngtcp2_conn_writev_datagram to pad a packet.

commit 7b2e7455c824f59ad50fba01171798c7dd60963f
Merge: 90b97f12 2587b402
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-06
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-06

    Merge pull request #1577 from ngtcp2/fix-initial-0rtt-padding
    
    Fix 0 RTT padding after Retry when Initial crypto needs multiple packets

commit 2587b4021d0e955e49cd923711783d0610063da5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-06

    Fix 0 RTT padding after Retry when Initial crypto needs multiple packets

commit 90b97f121051a087e742d95c1980788255b84c09
Merge: 8978348d 770d3d86
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-04
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-04

    Merge pull request #1576 from ngtcp2/remove-handshake-confirmed-check
    
    No need to check NGTCP2_CONN_FLAG_HANDSHAKE_CONFIRMED in handshake write

commit 770d3d86937f0722f30fc2e3c8a2a38c7afb7c80
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-04

    No need to check NGTCP2_CONN_FLAG_HANDSHAKE_CONFIRMED in handshake write
    
    By the time NGTCP2_CONN_FLAG_HANDSHAKE_CONFIRMED is set, hs_pktns is
    discarded, and we do not send any handshake packets after that.

commit 8978348d217ee0e9e8962f6bfd7c9a677f91145d
Merge: aac28d88 d66812a2
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-02
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-02

    Merge pull request #1573 from ngtcp2/tests-set-remote-params
    
    tests: Call ngtcp2_conn_set_remote_params

commit d66812a2214a19f071f65681b29e04a1ba856e91
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-02

    tests: Call ngtcp2_conn_set_remote_params
    
    Call ngtcp2_conn_set_remote_params so that all assumptions regarding
    the remote transport parameters are fulfilled.

commit aac28d8860ec85f3d344fc35b9cb59d6e308cd7d
Merge: d882b4a7 810a7069
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-03-01
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-03-01

    Merge pull request #1572 from ngtcp2/fix-size-macro
    
    Fix size macro

commit 810a7069a4f824563a4c65ed08abc64b737a906b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-01

    Consistent size_t size check

commit 9d612bc5979da44e540ef3d58794dc77c1d4d184
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-01

    Remove unnecessary type size check macro

commit fdcc8e2875aad2ed8bfd665a1c4656f49edfff70
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-03-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-03-01

    Fix inverted type size check

commit d882b4a7761a50906342f83ebab55b157963f36a
Merge: 9d5abb53 66e78355
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-27

    Merge pull request #1569 from ngtcp2/fuzz-read-write-pkt-restructure
    
    fuzz: Restructure read_write_pkt

commit 66e783558ba6cec4f44a88de9374a013f06aab39
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-27

    fuzz: Restructure read_write_pkt
    
    Restructure read_write_pkt to make exiting loop easier.

commit 9d5abb539ede329bcd3d9ca3ca83e97a534e1cec
Merge: 137955be d3485105
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-27

    Merge pull request #1568 from ngtcp2/add-tests
    
    Add more tests

commit d3485105577283339559f8c77ef021c42c3fa04a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-27

    Add more tests

commit 137955be2e5244f5abda5e01a503103de7ded316
Merge: 3a048d43 a4d1178e
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-27
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-27

    Merge pull request #1567 from ngtcp2/write-zerolen-vec
    
    Write zerolen vec

commit a4d1178e6dad92e0a41ea289cf7e1dd3038c2389
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-27

    Add tests for sending 0 length data

commit ca330504fda0bf09984d62161ef0a7af61afa127
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-27

    Pass 0 length vector when writing 0 length data

commit 3a048d43ee3f6d6bc7c68e31818c81e55faab93e
Merge: 31bd1b99 6106511b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-26

    Merge pull request #1565 from ngtcp2/fuzz-updates
    
    Fuzz updates

commit 6106511b4f3b437d0591d1a4c99fcbd412a5d0a2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    fuzz: Make server open stream

commit d834913f0a297d93c29b07a4a15b570630fe1b0a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    fuzz: Quit when input data runs out

commit 624f0139b535142ecfd2f9617e651caec0beb809
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    fuzz: Change stream ID and data in each write

commit 18af378c8a62c72a3fd4bee7ab45ec3363b1b6b9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    fuzz: Write DATAGRAM frame

commit 46821c12973ae655f1daee72a0c75ac94cc4d5b4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    fuzz: Open stream if conn is initialized as client

commit 31bd1b9983e8ac59d502dd1156f3d995e0f605f8
Merge: c70804ea 7e89c434
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-26

    Merge pull request #1566 from ngtcp2/zerolen-datagram
    
    Fix assertion error when writing 0 length DATAGRAM

commit 7e89c434cbafd32624fe3b3d6ca90787ee4c9362
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    Fix assertion error when writing 0 length DATAGRAM
    
    Fix assertion error when writing 0 length DATAGRAM by
    ngtcp2_conn_write_datagram.

commit c70804eaefac05b4da47ab8b865482bda603abdf
Merge: a815b8d2 9f2cfc0f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-26
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-26

    Merge pull request #1564 from ngtcp2/reclaim-stream-fins
    
    We do not see multiple STREAM FINs without binder

commit 9f2cfc0fdc5b8ad8aaf6a2544bb2119ec7a60052
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-26

    We do not see multiple STREAM FINs without binder

commit a815b8d2a110858243ae4df4fc3b9db0a49effe0
Merge: 5bf4600c 82292b8f
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-25

    Merge pull request #1563 from ngtcp2/refactor-rtb-reclaim-on-retry
    
    Refactor ngtcp2_rtb_reclaim_on_retry

commit 82292b8f62bdddda68549ec91afdadb0c04dffdf
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-25

    Refactor ngtcp2_rtb_reclaim_on_retry

commit 5bf4600c12e076aebd03db3010bdb7fcfd37ec62
Merge: 3c6b55b0 b370ceee
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-25
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-25

    Merge pull request #1561 from ngtcp2/rtb-add-tests
    
    Add tests for ngtcp2_rtb_remove_excessive_lost_pkt and ngtcp2_rtb_remove_expired_lost_pkt

commit b370ceeeffe0bc64e9c6dd7a46c9f20c5e5ce04b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-25

    Add tests for ngtcp2_rtb_remove_excessive_lost_pkt and ngtcp2_rtb_remove_expired_lost_pkt

commit 3c6b55b03d63aa6c802f6d7478880f72bf53f599
Merge: 0734d6af 342f056b
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-24

    Merge pull request #1560 from ngtcp2/fix-wrong-return-variable
    
    Fix returning wrong variable

commit 342f056b233b110793f2794586f9993f889d656b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-24

    Fix returning wrong variable
    
    This lead to fuzzer failures on memory allocation failure.

commit 0734d6af9663bdab457128f009252f4339bbb70b
Merge: 8fc3e7cb 9af311e3
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2025-02-24
Commit:     GitHub <noreply@github.com>
CommitDate: 2025-02-24

    Merge pull request #1559 from ngtcp2/disable-active-migration-tweak
    
    Tweak disable_active_migration

commit 9af311e30f45631dc45ae71432b50089c2bd875a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-24

    Tweak disable_active_migration
    
    - Just check the local address when deciding to accept a packet form
      different path.
    - Remove client disable_active_migration check because it is not much
      interesting and is not worth checking more.

commit 8fc3e7cba6c012fb76d8255cb848be2106850a03
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2025-02-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2025-02-21

    Bump package version
